//
//  ThingView.swift
//  JustOneThing
//
//  Created by Alan Francis on 06/07/2023.
//

import SwiftUI

struct ThingView : View {
    let thing: Thing
    @Environment(\.colorScheme) private var colorScheme
    
    var body: some View {
        Text(thing.text)
            .fitSystemFont(lineLimit: 4)
            .multilineTextAlignment(.center)
            .foregroundColor(.randomForegroundColor(colorScheme))
    }
}

